"""Reporter implementation for HTML-based test reports.

JSON reports are generated by serializing the model contents to a JSON File. We use
pydantic to serialize the data. You can use the JSON reports to derive your own custom
reports or to integrate with other systems.
"""

from promptarchitect.reporting.core import TestReporter


class JsonTestReporter(TestReporter):
    """Reports test results in HTML format."""

    def __init__(self, report_path: str) -> None:
        """Initialize the HTML test reporter.

        Parameters
        ----------
        report_path : str
            The path to the report

        """
        super().__init__(report_path)
